@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

:root {
  --bg-color: #1f242d;
  --second-bg-color: #323946;
  --text-color: #fff;
  --main-color: #0ef;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
}

section {
  min-height: 100vh;
  padding: 10rem 9% 2rem;
}

.about {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 2rem;
  background: var(--second-bg-color);
}

.about-img {
  flex: 1 1 35rem;
  display: flex;
  justify-content: center;
}

.about-img img {
  width: 100%;
  max-width: 300px;
  border-radius: 20rem;
  border: 10px solid var(--main-color);
  box-shadow: 0 0 20px var(--main-color),
              0 0 40px var(--main-color),
              0 0 60px var(--main-color);
  animation: blink-glow 1.5s infinite;
  transition: 0.3s;
}

.about-content {
  flex: 2 2 100rem;
}

.heading {
  font-size: 4.5rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

.heading span {
  color: var(--main-color);
}

.about-content h3 {
  font-size: 2.5rem;
  color: var(--main-color);
  margin-bottom: 1rem;
}

.about-content p {
  font-size: 1.5rem;
  line-height: 1.8;
  margin-bottom: 2rem;
  text-align: justify;
}

.btn {
  display: inline-block;
  padding: 1rem 2.5rem;
  background: var(--main-color);
  color: var(--second-bg-color);
  border-radius: 4rem;
  font-size: 1.6rem;
  font-weight: 600;
  box-shadow: 0 0 1rem var(--main-color);
  transition: 0.3s ease;
  animation: blink-glow 1.5s infinite;
}

.btn:hover {
  box-shadow: none;
}

.back-btn {
  display: flex;
  justify-content: center;
  margin-top: 2rem;
  margin-bottom: 4rem;
}

/* Responsive */
@media (max-width: 768px) {
  .about {
    flex-direction: column;
    text-align: center;
  }

  .about-img img {
    width: 70%;
  }

  .heading {
    font-size: 3.5rem;
  }

  .about-content h3 {
    font-size: 2rem;
  }

  .about-content p {
    font-size: 1.5rem;
  }
}

/* Blinking Glow Animation */
@keyframes blink-glow {
  0% {
    box-shadow: 0 0 10px var(--main-color),
                0 0 20px var(--main-color),
                0 0 30px var(--main-color);
  }
  50% {
    box-shadow: 0 0 2px var(--main-color),
                0 0 5px var(--main-color),
                0 0 10px var(--main-color);
  }
  100% {
    box-shadow: 0 0 10px var(--main-color),
                0 0 20px var(--main-color),
                0 0 30px var(--main-color);
  }
}
